Scene_OmoriTitleScreen.prototype.createOmoriSprite = function() {
    // Create Omori Sprite
      if (this._worldType != 448) {
          if (this._worldType === 0 || this._worldType === 446) {
              this._omoriSprite = new Sprite(ImageManager.loadPicture('OMO_WS'));
          } else if (this._worldType === 444) {
              this._omoriSprite = new Sprite(ImageManager.loadPicture('OMO_BS'));
          } else if (this._worldType === 445) {
        this._omoriSprite = new Sprite(ImageManager.loadPicture('OMO_RS'));
      } else if (this._worldType === 447 || this._worldType === 449) {
        this._omoriSprite = new Sprite(ImageManager.loadPicture('OMO_GOOD_END'));
      }
          this._omoriSprite.anchor.set(0.5, 1)
          this._omoriSprite.x = Graphics.width / 2;
          this._omoriSprite.y = Graphics.height;
          this._omoriSprite.opacity = 0;
          this._omoriSprite.setFrame(0, 0, 0, 0);
          this._omoriSprite.filters = [this._glitchFilter];
          this._omoriSprite.visible = this._worldType !== 4;
          this._omoriSprite.filterArea = new PIXI.Rectangle(0, 0, Graphics.width, Graphics.height + Math.floor(Graphics.height / 6));
          this.addChild(this._omoriSprite);
      }
};

Scene_OmoriTitleScreen.prototype.updateWorldBitmaps = function(world = this._worldType, temp = false) {
    // Set Title Bitmap
    var titleTextBitmap = 'OMO_TITLE_WS';
    var lightbulbBitmap = 'OMO_BULB_WS';
    var stringBitmap = 'OMO_STRING_WS';
    var omoriBitmap = 'OMO_WS';
    var linesBitmap = 'OMO_BULB_WS_LINES';
    // Set World
    switch (world) {
      case 0: // White space
          break;
      case 446: // White space
          break;
      case 2: // Faraway
          omoriBitmap = 'OMO_RS'
          titleTextBitmap = 'OMO_TITLE_BS';
          lightbulbBitmap = 'OMO_BULB_BS';
          stringBitmap =  'OMO_STRING_BS';
          linesBitmap = 'OMO_BULB_BS_LINES';
      break;
    case 3: // Red Space Omori
      titleTextBitmap = 'OMO_TITLE_BS';
      lightbulbBitmap = 'OMO_BULB_BS';
      stringBitmap = 'OMO_STRING_BS';
      omoriBitmap = 'OMO_WS';
      linesBitmap = 'OMO_BULB_BS_LINES';
      break;
      case 444: // Black space
          omoriBitmap = 'OMO_BS';
          titleTextBitmap = 'OMO_TITLE_BS';
          lightbulbBitmap = 'OMO_BULB_BS';
          stringBitmap =  'OMO_STRING_BS';
          linesBitmap = 'OMO_BULB_BS_LINES'
          break;
      case 445: // Red space
          omoriBitmap = 'OMO_RS';
          titleTextBitmap = 'OMO_TITLE_BS';
          lightbulbBitmap = 'OMO_BULB_BS';
          stringBitmap =  'OMO_STRING_BS';
          linesBitmap = 'OMO_BULB_BS_LINES'
      break;
    case 449:
      case 447: // Ending Good
          omoriBitmap = 'OMO_GOOD_END';
          titleTextBitmap = 'OMO_TITLE_WS';
          lightbulbBitmap = 'OMO_BULB_WS';
          stringBitmap =  'OMO_STRING_WS';
          linesBitmap = 'OMO_BULB_WS_LINES'
          break;
      case 448: // Ending Bad
          titleTextBitmap = 'OMO_TITLE_WS';
          lightbulbBitmap = 'OMO_BULB_WS';
          stringBitmap =  'OMO_STRING_WS';
          linesBitmap = 'OMO_BULB_WS_LINES'
          break;
      };
      if (temp) {
      //    titleTextBitmap = 'OMO_TITLE_BS';
      //    lightbulbBitmap = 'OMO_BULB_BS';
      //    stringBitmap =  'OMO_STRING_BS';
      //    linesBitmap = 'OMO_BULB_BS_LINES'
      }
    if (this._omoriSprite) this._omoriSprite.bitmap = ImageManager.loadPicture(omoriBitmap)
    this._titleTextSprite.bitmap = ImageManager.loadPicture(titleTextBitmap)
    this._lightBulbSprite.bitmap = ImageManager.loadPicture(lightbulbBitmap);
    this._lightBulbLinesSprite.bitmap = ImageManager.loadPicture(linesBitmap);
    // Set Omori Sprite Width & Height
    if (this._omoriSprite) this._omoriSprite.width = 306;
    if (this._omoriSprite) this._omoriSprite.height = 350;
    // Let Lines Width & Height
    this._lightBulbLinesSprite.width = 68;
    this._lightBulbLinesSprite.height =  150;
    // Get String Bitmap
    var string = ImageManager.loadPicture(stringBitmap);
    // Create Cable Bitmap
    var bitmap = this._lightbulbCableSprite.bitmap;
    bitmap.clear();
    bitmap.blt(string, 0, 0, string.width, string.height, 0, 0, string.width, 300);
};